## Delete Contract

### cURL

```
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/contracts/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/contracts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/contracts/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes
- 200
- 4XX
- 5XX

### JSON Response Examples

#### Success Response
```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "accountId": "<string>",
  "name": "<string>",
  "code": "<string>",
  "description": "<string>",
  "purchaseOrderNumber": "<string>",
  "applyContractPeriodLimits": true,
  "usageFilters": [
    {
      "dimensionCode": "<string>",
      "value": "<string>"
    }
  ],
  "billGroupingKeyId": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

#### Error Message
```json
{
  "message": "<string>"
}
```

### Authorization
- **Authorization**: string, required in header. 
  - Supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**: string, required - Unique identifier (UUID) of your Organization.
- **id**: string, required - Unique identifier (UUID) of the Contract to delete.
